diff -u ezmlm-0.53/ezmlm-list.c ezmlm-0.53-ia64/ezmlm-list.c
--- ezmlm-0.53/ezmlm-list.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-list.c	Thu Jun 12 12:45:53 2003
@@ -6,6 +6,7 @@
 #include "readwrite.h"
 #include "exit.h"
 #include "open.h"
+#include "str.h"
 
 #define FATAL "ezmlm-list: fatal: "
 void die_write()
diff -u ezmlm-0.53/ezmlm-manage.c ezmlm-0.53-ia64/ezmlm-manage.c
--- ezmlm-0.53/ezmlm-manage.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-manage.c	Thu Jun 12 12:43:06 2003
@@ -22,6 +22,9 @@
 #include "fmt.h"
 #include "subscribe.h"
 #include "cookie.h"
+#include "scan.h"
+#include "open.h"
+#include "log.h"
 
 #define FATAL "ezmlm-manage: fatal: "
 void die_usage() { strerr_die1x(100,"ezmlm-manage: usage: ezmlm-manage dir"); }
diff -u ezmlm-0.53/ezmlm-reject.c ezmlm-0.53-ia64/ezmlm-reject.c
--- ezmlm-0.53/ezmlm-reject.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-reject.c	Thu Jun 12 12:43:06 2003
@@ -4,6 +4,9 @@
 #include "stralloc.h"
 #include "getln.h"
 #include "sgetopt.h"
+#include "case.h"
+#include "exit.h"
+#include "open.h"
 
 int flagrejectcommands = 1;
 int flagneedsubject = 1;
diff -u ezmlm-0.53/ezmlm-return.c ezmlm-0.53-ia64/ezmlm-return.c
--- ezmlm-0.53/ezmlm-return.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-return.c	Thu Jun 12 12:43:06 2003
@@ -17,6 +17,12 @@
 #include "cookie.h"
 #include "subscribe.h"
 #include "issub.h"
+#include "exit.h"
+#include "lock.h"
+#include "log.h"
+#include "open.h"
+#include "scan.h"
+#include "slurpclose.h"
 
 #define FATAL "ezmlm-return: fatal: "
 void die_usage() { strerr_die1x(100,"ezmlm-return: usage: ezmlm-return dir"); }
diff -u ezmlm-0.53/ezmlm-send.c ezmlm-0.53-ia64/ezmlm-send.c
--- ezmlm-0.53/ezmlm-send.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-send.c	Thu Jun 12 12:43:06 2003
@@ -17,6 +17,7 @@
 #include "substdio.h"
 #include "getconf.h"
 #include "constmap.h"
+#include "byte.h"
 
 #define FATAL "ezmlm-send: fatal: "
 
diff -u ezmlm-0.53/ezmlm-sub.c ezmlm-0.53-ia64/ezmlm-sub.c
--- ezmlm-0.53/ezmlm-sub.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-sub.c	Thu Jun 12 12:43:06 2003
@@ -1,6 +1,7 @@
 #include "strerr.h"
 #include "subscribe.h"
 #include "log.h"
+#include "exit.h"
 
 #define FATAL "ezmlm-sub: fatal: "
 #define WARNING "ezmlm-sub: warning: "
diff -u ezmlm-0.53/ezmlm-unsub.c ezmlm-0.53-ia64/ezmlm-unsub.c
--- ezmlm-0.53/ezmlm-unsub.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-unsub.c	Thu Jun 12 12:43:06 2003
@@ -1,6 +1,7 @@
 #include "strerr.h"
 #include "subscribe.h"
 #include "log.h"
+#include "exit.h"
 
 #define FATAL "ezmlm-unsub: fatal: "
 #define WARNING "ezmlm-unsub: warning: "
diff -u ezmlm-0.53/ezmlm-warn.c ezmlm-0.53-ia64/ezmlm-warn.c
--- ezmlm-0.53/ezmlm-warn.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-warn.c	Thu Jun 12 12:43:06 2003
@@ -18,6 +18,12 @@
 #include "fmt.h"
 #include "cookie.h"
 #include "qmail.h"
+#include "exit.h"
+#include "issub.h"
+#include "lock.h"
+#include "open.h"
+#include "quote.h"
+#include "scan.h"
 
 #define FATAL "ezmlm-warn: fatal: "
 void die_usage() { strerr_die1x(100,"ezmlm-warn: usage: ezmlm-warn dir"); }
diff -u ezmlm-0.53/ezmlm-weed.c ezmlm-0.53-ia64/ezmlm-weed.c
--- ezmlm-0.53/ezmlm-weed.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/ezmlm-weed.c	Thu Jun 12 12:43:06 2003
@@ -5,6 +5,7 @@
 #include "substdio.h"
 #include "getln.h"
 #include "strerr.h"
+#include "exit.h"
 
 char buf0[256];
 substdio ss0 = SUBSTDIO_FDBUF(read,0,buf0,sizeof(buf0));
diff -u ezmlm-0.53/getconf.c ezmlm-0.53-ia64/getconf.c
--- ezmlm-0.53/getconf.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/getconf.c	Thu Jun 12 12:43:06 2003
@@ -2,6 +2,7 @@
 #include "slurp.h"
 #include "strerr.h"
 #include "getconf.h"
+#include "byte.h"
 
 static stralloc data = {0};
 
diff -u ezmlm-0.53/slurp.c ezmlm-0.53-ia64/slurp.c
--- ezmlm-0.53/slurp.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/slurp.c	Thu Jun 12 12:43:06 2003
@@ -2,6 +2,7 @@
 #include "slurp.h"
 #include "error.h"
 #include "open.h"
+#include "slurpclose.h"
 
 int slurp(fn,sa,bufsize)
 char *fn;
diff -u ezmlm-0.53/subscribe.c ezmlm-0.53-ia64/subscribe.c
--- ezmlm-0.53/subscribe.c	Mon Jun 30 05:11:54 1997
+++ ezmlm-0.53-ia64/subscribe.c	Thu Jun 12 12:43:06 2003
@@ -10,6 +10,7 @@
 #include "error.h"
 #include "uint32.h"
 #include "subscribe.h"
+#include "str.h"
 
 static stralloc addr = {0};
 static stralloc line = {0};
